Page MenuHomeFreeBSD

Enable evdev driver and support in generic
ClosedPublic

Authored by zeising on Nov 8 2018, 6:57 PM.

Details

Summary

It's time to enable evdev support by default. This will greatly help users of wayland and xorg in handling input devices. Unfortunately, this can not be loaded at run time.

Test Plan

I've been running this in my kernel for some time without ill effects.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

zeising created this revision.Nov 8 2018, 6:57 PM
zeising added a reviewer: wulf.Nov 8 2018, 6:59 PM
imp added a comment.Nov 8 2018, 7:40 PM

Please also add to MINIMAL

zeising updated this revision to Diff 50181.Nov 8 2018, 7:44 PM
zeising edited the summary of this revision. (Show Details)

Add changes to minimal kernel as well.

wulf accepted this revision.Nov 9 2018, 7:04 PM

I am unaware of any current ill effects

bapt accepted this revision.Nov 10 2018, 6:45 AM
imp accepted this revision.Nov 12 2018, 5:19 PM
This revision is now accepted and ready to land.Nov 12 2018, 5:19 PM
This revision was automatically updated to reflect the committed changes.